Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226297 - Merge Review: pinfo
Summary: Merge Review: pinfo
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:40 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-15 09:31:27 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:40:27 UTC
Fedora Merge Review: pinfo

http://cvs.fedora.redhat.com/viewcvs/devel/pinfo/
Initial Owner: mlichvar@redhat.com

Comment 1 Parag AN(पराग) 2008-01-15 08:47:36 UTC
1)rpmlint on binary RPM gave me
pinfo.i386: W: conffile-without-noreplace-flag /etc/pinforc
==>from SPEC its clear that its purposefully done.

SHOULD:
Can you follow scriptlet guidelines for install-info as per given at 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-47896da5fb2662d75deefeb9ba75145a398515db

Do you want to build new version for this or you want to fix scriptlet next time
you release?



Comment 2 Miroslav Lichvar 2008-01-15 09:05:12 UTC
What's wrong with the scriptlet? It seems to follow the guideline.

Comment 3 Parag AN(पराग) 2008-01-15 09:31:27 UTC
If you think its ok then I don't mind. I just want to make sure it follows
exactly whats written on packaging guidelines page.

In SPEC its,
%post
/sbin/install-info %{_infodir}/pinfo.info.gz %{_infodir}/dir
:

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/pinfo.info.gz %{_infodir}/dir
fi
:

suggested one is
%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


I think rest packaging looks Ok.


Comment 4 Miroslav Lichvar 2008-01-15 09:43:34 UTC
I usually prefer ":" as separate command. It's mentioned in
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-ac070867bcfda441b0ae7690be90ac16b43894e8

Thanks for the review.

Comment 5 Parag AN(पराग) 2008-01-15 09:45:54 UTC
(In reply to comment #4)
> I usually prefer ":" as separate command. It's mentioned in
>
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-ac070867bcfda441b0ae7690be90ac16b43894e8
> 

No issues. I just tried to make sure following
"The "|| :" in this case prevents failures that would typically affect systems
that have been configured not to install any %doc files, or have read-only
mounted, %_netsharedpath /usr/share."

> Thanks for the review.

Welcome :)


Note You need to log in before you can comment on or make changes to this bug.